<?php
/*
Plugin Name: GravityWP - Merge Tags
Plugin URI: https://gravitywp.com/plugin/merge-tags
Description: Gravity Forms add-on to list all the merge tags from a specific form
Version: 1.0.2
Author: GravityWP
Author URI: https://gravitywp.com
License: GPL2
Text Domain: gravitywp-merge-tags
Domain Path: /languages
*/

define( 'GWP_MERGETAGS_VERSION', '1.0.2' );

add_action( 'gform_loaded', array( 'GWPMergeTags_AddOn_Bootstrap', 'load' ), 5 );

class GWPMergeTags_AddOn_Bootstrap {

    public static function load() {

        if ( ! method_exists( 'GFForms', 'include_addon_framework' ) ) {
            return;
        }

        require_once( 'class-gwp-mergetags.php' );

        GFAddOn::register( 'GWPMergeTags' );
    }
}

add_filter( 'gform_toolbar_menu', 'gwpmergetags_toolbar', 10, 2 );
function gwpmergetags_toolbar( $menu_items, $form_id ) {
		
		$menu_items['gwpmergetags_link'] = array(
			'label' => 'Merge Tags',
			'title' => 'Merge Tags',
			'url' => self_admin_url( 'admin.php?page=gravitywp-merge-tags&id=' . $form_id . '&tab=merge-tags' ),
			'menu_class' => 'gf_form_toolbar_custom_link',
			'capabilities' => array( 'gravityforms_edit_forms' ),
			'priority' => 500
		);
		
		return $menu_items;
}

// Translation files of the plugin
add_action('plugins_loaded', 'gwp_merge_tags_load_textdomain');

function gwp_merge_tags_load_textdomain() {
    load_plugin_textdomain( 'gravitywp-merge-tags', false, dirname( plugin_basename(__FILE__) ) . '/languages' );
}